.example-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.example-sidenav {
  width: 80%;
  height: 100vh;
}

.example-events {
  width: 300px;
  height: 200px;
  overflow: auto;
  border: 1px solid #555;
}

.example-icon {
  padding: 0 14px;
}

.example-spacer {
  flex: 1 1 auto;
}

strong {
  color: rgb(22, 166, 192);
}

// teste

.example-form {
  min-width: 150px;
  max-width: 600px;
  width: 100%;
  margin-top: 100px;
}

.example-full-width {
  width: 100%;
}

td {
  padding-right: 8px;
}

.example-card {
  max-width: 400px;
}

.example-header-image {
  background-image: url("https://material.angular.io/assets/img/examples/shiba1.jpg");
  background-size: cover;
}

.mat-form-field + .mat-form-field {
  margin-left: 8px;
}


.card {

    // FUNCTIONALITY
    perspective: 150rem;
    -moz-perspective: 150rem;
    position: relative;
    height: 52rem;
    width: 500px;
    
    &__side {
        height: 52rem;
        transition: all .8s ease;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        border-radius: 3px;
        overflow: hidden;
        box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, .15);

        &--front {
            background-color: #fff;
        }

        &--back {
            transform: rotateY(180deg);

            &-1 {
                background-image: linear-gradient(to right bottom, lightblue, blue);
            }

            // &-2 {
            //     background-image: linear-gradient(to right bottom, $color-primary-light, $color-primary-dark);
            // }

            // &-3 {
            //     background-image: linear-gradient(to right bottom, $color-tertiary-light, $color-tertiary-dark);
            // }
        }
    }
  

    &:hover &__side--front {
        transform: rotateY(-180deg);
    }

    &:hover &__side--back {
        transform: rotateY(0);
    }


    // FRONT SIDE STYLING
    &__picture {
        background-size: cover;
        height: 23rem;
        background-blend-mode: screen;
        -webkit-clip-path: polygon(0 0, 100% 0, 100% 85%, 0 100%);
        clip-path: polygon(0 0, 100% 0, 100% 85%, 0 100%);
        border-top-left-radius: 3px;
        border-top-right-radius: 3px;
        
        &--1 {
            background-image: linear-gradient(to right bottom,  lightblue, blue),
            url(/assets/img/nat-5.jpg);
        }

        // &--2 {
        //     background-image: linear-gradient(to right bottom, $color-primary-light, $color-primary-dark), 
        //     url(../img/nat-6.jpg);
        // }

        // &--3 {
        //     background-image: linear-gradient(to right bottom, $color-tertiary-light, $color-tertiary-dark), 
        //     url(../img/nat-7.jpg);
        // }
    }

    &__heading {
        font-size: 2.8rem;
        font-weight: 300;
        text-transform: uppercase;
        text-align: right;
        color: #fff;
        position: absolute;
        top: 12rem;
        right: 2rem;
        width: 75%;
    
    }

    &__heading-span {
        padding: 1rem 1.5rem;
        -webkit-box-decoration-break: clone;
        box-decoration-break: clone;

        &--1 {
            background-image: linear-gradient(to right bottom, 
            rgba(173, 216, 230, .85), 
            rgba(0, 0, 255, .85));
        }

        // &--2 {
        //     background-image: linear-gradient(to right bottom, 
        //     rgba($color-primary-light, .85), 
        //     rgba($color-primary-dark, .85));
        // }

        // &--3 {
        //     background-image: linear-gradient(to right bottom, 
        //     rgba($color-tertiary-light, .85), 
        //     rgba($color-tertiary-dark, .85));
        // }
    }

    &__details {
        padding: 3rem;

        ul {
            list-style: none;
            width: 80%;
            margin: 0 auto;

            li {
                text-align: center;
                font-size: 1.5rem;
                padding: 1rem;

                &:not(:last-child) {
                    border-bottom: 1px solid #ddd;
                }
            }
        }
    }

    // FRONT SIDE STYLING
    &__cta {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 90%;
        text-align: center;
    }

    &__price-box {
        text-align: center;
        color: #fff;
        margin-bottom: 8rem;
    }

    &__price-only {
        font-size: 1.4rem;
        text-transform: uppercase;
    }

    &__price-value {
        font-size: 6rem;
        font-weight: 100;
    }





    //@include respond(tab-port) {
    @media only screen and (max-width: 56.25em),
            only screen and (hover: none) {

        height: auto;
        border-radius: 3px;
        background-color: #fff;
        box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, .15);
        
        &__side {
            height: auto;
            position: relative;
            box-shadow: none;

            &--back {
                transform: rotateY(0);
                clip-path: polygon(0 15%, 100% 0, 100% 100%, 0% 100%);
            }
        }
    
        &:hover &__side--front {
            transform: rotateY(0);
        }

    
        &__details {
            padding: 1rem 3rem;
        }

        // FRONT SIDE STYLING
        &__cta {
            position: relative;
            top: 0%;
            left: 0;
            transform: translate(0);
            width: 100%;
            padding: 7rem 4rem 4rem 4rem;
        }

        &__price-box {
            margin-bottom: 3rem;
        }

        &__price-value {
            font-size: 4rem;
        }
    }

}


.creditcard {
    margin: 50px;
    // FUNCTIONALITY
    perspective: 150rem;
    -moz-perspective: 150rem;
    position: relative;
    height: 250px;
    width: 450px;
    
    &__side {
        height: 250px;
        transition: all .8s ease;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        border-radius: 10px;
        overflow: hidden;
        box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, .15);

        &--front {
            // background-image: linear-gradient(to right bottom, lightblue, blue);
            // background-image: linear-gradient(to right bottom, #F6E078, #A4612F);
            // background-image: linear-gradient(to right bottom, #B7B8BA, #585A5C);
            // background-image: linear-gradient(to right bottom, #454545, #000);
            background-image: linear-gradient(to right bottom, #94e7db, #198574);
            transform: rotateY(-180deg);

            &.active {
                transform: rotateY(0deg);
            }

            &.nu {
                background-image: linear-gradient(to right bottom, #7306ad, #52067a);
            }
        }

        &--back {
            transform: rotateY(180deg);
            // background-image: linear-gradient(to right bottom, lightblue, blue);
            // background-image: linear-gradient(to right bottom, #F6E078, #A4612F);
            // background-image: linear-gradient(to right bottom, #B7B8BA, #585A5C);
            // background-image: linear-gradient(to right bottom, #454545, #000);
            background-image: linear-gradient(to right bottom, #94e7db, #198574);

            &.nu {
                background-image: linear-gradient(to right bottom, #7306ad, #52067a);
            }
        }
    }
  
    &__side--back.active {
        transform: rotateY(0);
    }

    &__magnetic {
        width: 100%;
        height: 50px;
        background-color: #333;
        margin-top: 25px;
    }

    &__details {
        width: 60%;
        height: 30px;
        background-color: #eee;
        margin: 15px 0 0 15px;

        &-cvv {
            display: inline-block;
            margin: 5px 0 0 220px;
            font-weight: bold;
            color: #000;
        }
    }
}